# OAuthProvider::reportProblem

(PECL OAuth >= 1.0.0)

OAuthProvider::reportProblem — Report a problem

### Description

final public static OAuthProvider::reportProblem ( string `$oauthexception` [, bool `$send_headers` = `TRUE` ] ) : string

Pass in a problem as an OAuthException, with possible problems listed in the OAuth constants section.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`oauthexception`

  The OAuthException.

### Return Values

No value is returned.

### See Also

- OAuthProvider::checkOAuthRequest() - Check an oauth request
- OAuthProvider::isRequestTokenEndpoint() - Sets isRequestTokenEndpoint